// Inline functions 
#include <iostream>
using namespace std;

inline int Abs(int n) {
	return n >= 0 ? n : (-n);
}

int main ()
{
  int i;

  do {
    cout << "Type a number (0 to exit): ";
    cin  >> i;
    cout << Abs(i)<<endl<<endl;
  } while (i!=0);

  return 0;
}
